### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-text-input/ecl-text-input.directive.ts`

### Implements

`OnChanges` `DoCheck`

### Metadata

Providers | `NgClass`
Selector | `input[eclTextInput]`

### Index

###### Inputs
disabled eclSize isInvalid size styleClass
###### HostBindings
attr.type class.ecl-text-input class.ecl-text-input--disabled class.ecl-text-input--invalid
###### Accessors
size disabled

### Constructor

`constructor(eclFormGroup: EclFormGroupComponent, ngControl: NgControl, ngClass: NgClass, cd: ChangeDetectorRef)`
Parameters :
Name | Type | Optional
eclFormGroup | `EclFormGroupComponent` | No
ngControl | `NgControl` | No
ngClass | `NgClass` | No
cd | `ChangeDetectorRef` | No

### Inputs

disabled

eclSize
Type : `string`
Default value : `'m'`

isInvalid
Type : `boolean`
Default value : `false`

size
Type : `string`

styleClass
Type : `string`

### HostBindings

attr.type
Default value : `'text'`

class.ecl-text-input
Default value : `true`

class.ecl-text-input--disabled

class.ecl-text-input--invalid

### Accessors

size
set `size(value: string)`
Parameters :
Name | Type | Optional
value | `string` | No
Returns : `void`

disabled
set `disabled(value)`
Parameters :
Name | Optional
value | No
Returns : `void`

# result-matching ""

# No results matching ""